# This file is a template, and might need editing before it works on your project.
# use the official gcc image, based on debian
# can use verions as well, like gcc:5.2
# see https://hub.docker.com/_/gcc/
image: napautomotiveprodukte/xc16
build:
  stage: build
  # instead of calling g++ directly you can also use some build toolkit like make
  # install the necessary build tools when needed
  variables:
    GIT_SUBMODULE_STRATEGY: recursive

  before_script:
    - apt-get install -y git
    # install ssh-agent
    - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y)'
    # run ssh-agent
    - eval $(ssh-agent -s)
    # add ssh key stored in SSH_PRIVATE_KEY variable to the agent store
    - ssh-add <(echo "$SSH_PRIVATE_KEY")
    
    # disable host key checking (NOTE: makes you susceptible to man-in-the-middle attacks)
    # WARNING: use only in docker container, if you use it with shell you will overwrite your user's ssh config
    - mkdir -p ~/.ssh
    - echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config
    # try to connect to GitLab.com
    - ssh git@gitlab.com
    
    # try to clone yourself, the SSH_PRIVATE_KEY was added as deploy key to this repository
    - git config --global user.email "FST_BOT@protonmail.com"
    - git config --global user.name "FST_BOT"

  script:
    - make submodules
    - make
  artifacts:
    paths:
  # depending on your build setup it's most likely a good idea to cache outputs to reduce the build time
  # cache:
  #   paths:
  #     - "*.o"
